# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-libs/lib-compat/lib-compat-1.4.ebuild,v 1.3 2005/02/17 18:49:17 plasmaroo Exp $

inherit multilib

DESCRIPTION="Compatibility C++ and libc5 and libc6 libraries for programs new and old"
HOMEPAGE="http://www.gentoo.org/"
SRC_URI="mirror://gentoo/${P}.tar.bz2"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86 ppc sparc alpha ~ia64"
IUSE="sdl"

RDEPEND="virtual/libc
	sdl? ( media-libs/libsdl )
	!<app-emulation/emul-linux-x86-compat-1000"

if use amd64; then
	S=${WORKDIR}/${P}/x86
else
	S=${WORKDIR}/${P}/${ARCH}
fi

src_unpack() {
	unpack ${A}

	cd ${S}
	# Rather install this with the proper filename
	mv -f libstdc++-libc6.2-2.so.3 libstdc++-3-libc6.2-2-2.10.0.so
	# libstdc++-2-libc6.1-1-2.9.0.so provides this one ...
	rm -f libstdc++-libc6.1-1.so.2
	# No package installs this one, so no need for the .dummy
	mv -f libstdc++.so.2.9.dummy libstdc++.so.2.9.0
	# dont install if they dont want sdl
	use sdl || rm -f libsmpeg-0.4.so.0.dummy
}

src_install() {
	# if we have pre 2005.0 profile on amd64 do nothing
	# since this compatibility libraries are provided
	# by emul-linux-x86-compat package
	if ( use amd64 && has_multilib_profile ) || -n use amd64; then
		local OABI=${ABI}
		if use amd64; then
			ABI="x86"
		fi
		src_install-multi
		ABI=${OABI}
		unset OABI
	fi
}

src_install-multi() {
	if use x86 || use amd64 ; then
		into /
		dolib.so ld-linux.so.1*
		rm -f ld-linux.so.1*
	fi
	into /usr
	dolib.so *.so*
	preplib /usr
}
